Contenu | Rechercher | Menus

#1 Le 17/08/2005, à 17:06

Blaise
Invité

AJouter des librairies..

Bonjour,

Un programme, "DBDesigner" pour ne pas le citer.
Me donne ce message :

libstdc++-libc6.2-2.so.3: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou répertoire de ce type

Et je ne sais pas ou trouver ça ni même ou le mettre...

#2 Le 17/08/2005, à 22:20

sT0ne
Invité

Re : AJouter des librairies..

libstdc++-libc6.2-2.so.3 est ABI fournie par gcc-2.95.3. Tu pourrais essayer d'installer libstdc++2.10-glibc2.2 via apt ou synaptic.

#3 Le 21/08/2005, à 21:59

PiTiLeZarD
Membre

Re : AJouter des librairies..

Ca a donné quoi tu as réussit a l'installer ???

Perso je l'installe en téléchargeant le RPM en le transformant en .deb avec alien, en lancant /opt/DBDesigner4/DBDesigner4 plutot que startdbd

petite astuce ici : http://wiki.splitbrain.org/dbdesigner pour une librairie manquante ...

Il se lance sans soucis mais j'ai un "Unable to load libsqlmy.so" que je n'arrive pas a enlever !!!

Si quelqu'un peut m'aider je lui serait éternellement reconnaissant !!!


PiTiLeZarD
http://www.blognote-info.com

Hors ligne

#4 Le 03/09/2005, à 17:54

blink
Invité

Re : AJouter des librairies..

Ca te mets unable to load libsqlmy.so parce que tu utilises le dbdesigner4 pour démarrer au lieu de startdbd. Ce dernier est un script qui permet de configurer le lancement de dbdesigner4 en lui indiquant où trouver les librairies additionnelles, en l'occurence pour toi la librairie de gestion de mysql.

J'ai utilisé le tar.gz, dans le fichier startdbd, j'ai commenté la ligne

#export QT_XFT=true

J'ai installé la libstdc++ comme dans le message de sT0ne

apt-get install libstdc++2.10-glibc2.2

et je lance dbdesigner via le script startdbd et ça fonctionne correctement.